using System;

namespace FilterAPI
{
    public class ConsoleColorConverter
    {
        public static Byte ConsoleColorToID(ConsoleColor CC)
        {
            switch (CC)
            {
                case ConsoleColor.Black:
                    { return 0; }
                case ConsoleColor.Blue:
                    { return 1; }
                case ConsoleColor.Cyan:
                    { return 2; }
                case ConsoleColor.DarkBlue:
                    { return 3; }
                case ConsoleColor.DarkCyan:
                    { return 4; }
                case ConsoleColor.DarkGray:
                    { return 5; }
                case ConsoleColor.DarkGreen:
                    { return 6; }
                case ConsoleColor.DarkMagenta:
                    { return 7; }
                case ConsoleColor.DarkRed:
                    { return 8; }
                case ConsoleColor.DarkYellow:
                    { return 9; }
                case ConsoleColor.Gray:
                    { return 10; }
                case ConsoleColor.Green:
                    { return 11; }
                case ConsoleColor.Magenta:
                    { return 12; }
                case ConsoleColor.Red:
                    { return 13; }
                case ConsoleColor.White:
                    { return 14; }
                case ConsoleColor.Yellow:
                    { return 15; }
                default:
                    { return 0; }
            }
        }

        public static ConsoleColor IDToConsoleColor(Byte ID)
        {
            switch (ID)
            {
                case 0:
                    { return ConsoleColor.Black; }
                case 1:
                    { return ConsoleColor.Blue; }
                case 2:
                    { return ConsoleColor.Cyan; }
                case 3:
                    { return ConsoleColor.DarkBlue; }
                case 4:
                    { return ConsoleColor.DarkCyan; }
                case 5:
                    { return ConsoleColor.DarkGray; }
                case 6:
                    { return ConsoleColor.DarkGreen; }
                case 7:
                    { return ConsoleColor.DarkMagenta; }
                case 8:
                    { return ConsoleColor.DarkRed; }
                case 9:
                    { return ConsoleColor.DarkYellow; }
                case 10:
                    { return ConsoleColor.Gray; }
                case 11:
                    { return ConsoleColor.Green; }
                case 12:
                    { return ConsoleColor.Magenta; }
                case 13:
                    { return ConsoleColor.Red; }
                case 14:
                    { return ConsoleColor.White; }
                case 15:
                    { return ConsoleColor.Yellow; }
                default:
                    { return ConsoleColor.Black; }
            }
        }
    }
}
